| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Connection Struct Reference

`import "monitorservice_types.idl";`

## Public Types

typedef sequence< detail::Locator_s > | announced_locators
typedef sequence< detail::Locator_s > | used_locators

## Public Attributes

ConnectionMode | mode
detail::GUID_s | guid

## Member Typedef Documentation

## ◆ announced_locators

sequence<detail::Locator_s> announced_locators

## ◆ used_locators

sequence<detail::Locator_s> used_locators

## Member Data Documentation

## ◆ guid

detail::GUID_s guid

## ◆ mode

ConnectionMode mode

The documentation for this struct was generated from the following file:

- include/fastdds/statistics/monitorservice_types.idl